
// WiiPosition.java
// Andrew Davison, June 2014, ad@fivedots.coe.psu.ac.th

/* A full-screen undecorated window is used to set the viewing
   range of the IR sensor and to show the line width between
   the IR sources.

   This example also shows how to use the wiimote as an input 
   device in a Swing application.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;



public class WiiPosition extends JFrame 
{

  private WiiPosPanel wpp;


  public WiiPosition()
  {
    super("WiiPosition");

    wpp = new WiiPosPanel();
	  Container c = getContentPane();
	  c.add(wpp);

    addWindowListener( new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      { wpp.closeDown();  }    // not likely to be used, since frame is undecorated
    });

    hideCursor(c);
    setUndecorated(true);
    pack();    // the panel makes itself full-screen size
    setResizable(false);
    setVisible(true);
  }  // end of WiiPosition()



  private void hideCursor(Container c)
  {
    // create a transparent 16 x 16 pixel cursor image
    BufferedImage cursorIm = new BufferedImage(16, 16, BufferedImage.TYPE_INT_ARGB);

    // create a new blank cursor
    Cursor blankCursor = Toolkit.getDefaultToolkit().createCustomCursor(
                                    cursorIm, new Point(0, 0), "blank cursor");

    // assign the blank cursor to the JFrame
    c.setCursor(blankCursor);
  }  // end of hideCursor()


   // ---------------------------------------------------

   public static void main(String args[])
   {  new WiiPosition(); }

} // end of WiiPosition

